AutoLoadWood6_register = {}

function AutoLoadWood6_register:loadMap()
	if AutoLoadWood6.texts == nil then
		AutoLoadWood6.texts = {}
	end
	for _,n in pairs( { "AUTOLOADWOOD6_START_AUTOLOAD", "AUTOLOADWOOD6_STOP_AUTOLOAD", "AUTOLOADWOOD6_START_UNLOAD", "AUTOLOADWOOD6_STOP_UNLOAD", "AUTOLOADWOOD6_SWITCH_RIGHT", "AUTOLOADWOOD6_SWITCH_LEFT", "AUTOLOADWOOD6_SHOW_LOAD_MARKER",
						"AUTOLOADWOOD6_HIDE_LOAD_MARKER", "AUTOLOADWOOD6_SHOW_UNLOAD_MARKER", "AUTOLOADWOOD6_HIDE_UNLOAD_MARKER", "input_AUTOLOADWOOD6_TOGGLE_PILES", "input_AUTOLOADWOOD6_SWITCH_PILE", "input_AUTOLOADWOOD6_UNLOAD_MARKER_MOVE",
						"input_AUTOLOADWOOD6_UNLOAD_MARKER_SCALE", "input_AUTOLOADWOOD6_UNLOAD_MARKER_ROTATE", "AUTOLOADWOOD6_SHOW_POSITION", "AUTOLOADWOOD6_HIDE_POSITION", "AUTOLOADWOOD6_SHOW_HELP", "AUTOLOADWOOD6_HIDE_HELP" } ) do
		AutoLoadWood6.texts[n] = g_i18n:getText(n);
	end
end

if g_specializationManager:getSpecializationByName("autoLoadWood6") == nil then
	g_specializationManager.addSpecialization('autoLoadWood6', 'autoLoadWood6', 'AutoLoadWood6',  Utils.getFilename("Script/autoLoadWood6.lua", g_currentModDirectory))
	print("----AutoLoadWood6 registered.")
else
	print("----AutoLoadWood6 already exists.")
	
end

addModEventListener(AutoLoadWood6_register);